Get Source Curation
curl --request GET \
--url https://apigcp.trynia.ai/v2/sources/{source_id}/curation \
--header 'Authorization: Bearer <token>'import requests
url = "https://apigcp.trynia.ai/v2/sources/{source_id}/curation"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://apigcp.trynia.ai/v2/sources/{source_id}/curation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"source_id": "<string>",
"source_type": "repository",
"trust_signals": {
"trust_level": "medium",
"trust_tier": "medium",
"scope": "private",
"is_global": false,
"is_verified": false,
"overlay_available": false,
"annotation_count": 0
},
"overlay": {
"summary": "<string>",
"kind": "custom",
"guidance": "<string>",
"recommended_queries": [
"<string>"
],
"updated_at": "<string>"
},
"annotations": [
{
"id": "<string>",
"content": "<string>",
"kind": "note",
"created_at": "<string>",
"updated_at": "<string>"
}
],
"created_at": "<string>",
"updated_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Sources
Get Source Curation
GET
/
sources
/
{source_id}
/
curation
Get Source Curation
Authorizations
API key must be provided in the Authorization header
Path Parameters
Query Parameters
Source type hint
Available options:
repository, documentation, research_paper, huggingface_dataset, local_folder, slack, google_drive, connector Response
Successful Response
Full curation state for a source.
Source identifier
Source type
Available options:
repository, documentation, research_paper, huggingface_dataset, local_folder, slack, google_drive, connector Derived trust signals
Show child attributes
Show child attributes
Curated overlay if present
Show child attributes
Show child attributes
Saved annotations for the source
Show child attributes
Show child attributes
Curation record creation timestamp (ISO)
Curation record update timestamp (ISO)
Was this page helpful?

